Subject: Re: bug#52881: setting tab-line-separator to any value breaks clicking tabs with mouse

From: Juri Linkov <[email-masked]>
Date: Fri, 31 Dec 2021 11:21:22 +0200

close 52881 28.0.90
quit

>> >> Eli, is it ok to push this patch to the release branch
>> >> to support longer separators:
>> >
>> > Yes, but can you make it a bit cleaner?  Like having a single function
>> > to do that, and also not calling next-single-property-change twice an
>> > a row?
>> 
>> I could optimize this, but I wonder why there is no simple function
>> to find a text property and its first value in the string?
>
> I don't know.  We could add something like that, but that would not be
> for the release branch.

Now fixed in Emacs 28 with an internal function.